/**
 * gvSIG. Desktop Geographic Information System.
 *
 * Copyright (C) 2007-2012 gvSIG Association.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * For any additional information, do not hesitate to contact us
 * at info AT gvsig.com, or visit our website www.gvsig.com.
 */
package org.gvsig.fortunecookies;

import java.util.Date;

/**
 * Represents a FortuneCookie element.
 * 
 * @author gvSIG team
 * @version $Id$
 */
public interface FortuneCookieService {

    /**
     * Returns the FortuneCookie's message.
     * 
     * @return the message associated to a FortuneCookieService
     * @throws FortuneCookieMessageException
     *             if there is an error getting the fortune cookie's message
     */
    public String getMessage() throws FortuneCookieMessageException;

    /**
     * Returns the {@link FortuneCookieManager}
     * 
     * @return {@link FortuneCookieManager}
     * @see {@link FortuneCookieManager}
     */
    public FortuneCookieManager getManager();

    /**
     * Returns the FortuneCookie's creation date.
     * 
     * @return the creation date associated to a FortuneCookieService
     */
    public Date getDate();

}
