/**
 * gvSIG. Desktop Geographic Information System.
 *
 * Copyright (C) 2007-2012 gvSIG Association.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * For any additional information, do not hesitate to contact us
 * at info AT gvsig.com, or visit our website www.gvsig.com.
 */
package org.gvsig.fortunecookies.prov.test;

import java.util.Random;

import org.gvsig.fortunecookies.FortuneCookieMessageException;
import org.gvsig.fortunecookies.lib.spi.FortuneCookieProvider;
import org.gvsig.tools.service.spi.AbstractProvider;
import org.gvsig.tools.service.spi.ProviderServices;

/**
 * FortuneCookie provider for testing.
 * 
 * @author gvSIG Team
 * @version $Id$
 */
public class FortuneCookieTestProvider extends AbstractProvider implements
    FortuneCookieProvider {

    private Random rand = new Random();

    private static final String[] messages =
        new String[] { "Message 1", "Message 2", "Message 3", "Message 4", };

    /**
     * Constructor.
     * 
     * @param providerServices
     *            the services for the provider
     * @param file
     *            to get the fortune cookies from
     */
    public FortuneCookieTestProvider(ProviderServices providerServices) {
        super(providerServices);
    }

    public String getMessage() throws FortuneCookieMessageException {
        int index = rand.nextInt(messages.length);

        return messages[index];
    }

}
