/**
 * gvSIG. Desktop Geographic Information System.
 *
 * Copyright (C) 2007-2012 gvSIG Association.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * For any additional information, do not hesitate to contact us
 * at info AT gvsig.com, or visit our website www.gvsig.com.
 */
package org.gvsig.fortunecookies.swing;

import org.gvsig.fortunecookies.FortuneCookieLocator;
import org.gvsig.fortunecookies.FortuneCookieManager;
import org.gvsig.fortunecookies.FortuneCookieService;
import org.gvsig.tools.junit.AbstractLibraryAutoInitTestCase;
import org.gvsig.tools.service.ServiceException;

/**
 * API compatibility tests for {@link FortuneCookieSwingManager}
 * implementations.
 * 
 * @author gvSIG Team
 * @version $Id$
 */
public abstract class FortuneCookieSwingManagerTest extends
    AbstractLibraryAutoInitTestCase {

    protected FortuneCookieManager manager;
    protected FortuneCookieSwingManager swingManager;

    @Override
    protected void doSetUp() throws Exception {
        manager = FortuneCookieLocator.getManager();
        swingManager = FortuneCookieSwingLocator.getSwingManager();
    }

    public void testGetManager() {
        assertEquals(manager, swingManager.getManager());
    }

    public void testCreationJFortuneCookieServicePanel()
        throws ServiceException {
        FortuneCookieService cookie = manager.getFortuneCookieService();

        JFortuneCookieServicePanel panel1 =
            swingManager.createFortuneCookie(cookie);

        assertNotNull(panel1);
    }

}
