/**
 * gvSIG. Desktop Geographic Information System.
 *
 * Copyright (C) 2007-2012 gvSIG Association.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * For any additional information, do not hesitate to contact us
 * at info AT gvsig.com, or visit our website www.gvsig.com.
 */
package org.gvsig.fortunecookies.swing;

import org.gvsig.fortunecookies.FortuneCookieManager;
import org.gvsig.fortunecookies.FortuneCookieManagerTest;
import org.gvsig.fortunecookies.FortuneCookieService;
import org.gvsig.tools.dynobject.DynObject;
import org.gvsig.tools.junit.AbstractLibraryAutoInitTestCase;

/**
 * API compatibility tests for {@link JFortuneCookieServicePanel}
 * implementations.
 * 
 * @author gvSIG Team
 * @version $Id$
 */
public abstract class JFortuneCookieServicePanelTest extends
    AbstractLibraryAutoInitTestCase {

    protected FortuneCookieManager manager;
    protected FortuneCookieSwingManager uimanager;

    @Override
    protected void doSetUp() throws Exception {
        uimanager = FortuneCookieSwingLocator.getSwingManager();
        manager = uimanager.getManager();
    }

    public void testJFortuneCookieServicePanel() throws Exception {
        assertNotNull(uimanager);
        FortuneCookieService cookie = createService();
        cookie.getMessage();

        JFortuneCookieServicePanel panel =
            uimanager.createFortuneCookie(cookie);
        assertEquals(cookie, panel.getFortuneCookie());
    }

    /**
     * Returns an instance of the {@link FortuneCookieService}.
     * 
     * @return a {@link FortuneCookieService} instance
     * @throws Exception
     *             if there is any error creating the instance
     */
    protected FortuneCookieService createService() throws Exception {
        DynObject parameters =
            manager
                .createServiceParameters(FortuneCookieManagerTest.TEST_PROVIDER_NAME);
        return (FortuneCookieService) manager.getService(parameters);
    }
}
