/**
 * gvSIG. Desktop Geographic Information System.
 *
 * Copyright (C) 2007-2012 gvSIG Association.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * For any additional information, do not hesitate to contact us
 * at info AT gvsig.com, or visit our website www.gvsig.com.
 */
package org.gvsig.fortunecookies.swing.impl;

import org.gvsig.fortunecookies.FortuneCookieLocator;
import org.gvsig.fortunecookies.FortuneCookieManager;
import org.gvsig.fortunecookies.FortuneCookieService;
import org.gvsig.fortunecookies.swing.FortuneCookieSwingManager;
import org.gvsig.fortunecookies.swing.JFortuneCookieServicePanel;
import org.gvsig.tools.ToolsLocator;
import org.gvsig.tools.i18n.I18nManager;
import org.gvsig.tools.swing.api.ToolsSwingLocator;
import org.gvsig.tools.swing.api.windowmanager.WindowManager;

/**
 * Default implementation of the {@link FortuneCookieSwingManager}.
 * 
 * @author gvSIG Team
 * @version $Id$
 */
public class DefaultFortuneCookieSwingManager implements
		FortuneCookieSwingManager {

	private FortuneCookieManager manager;
	private I18nManager i18nmanager = null;
	private WindowManager windowManager;

	public DefaultFortuneCookieSwingManager() {
		this.manager = FortuneCookieLocator.getManager();
		this.i18nmanager = ToolsLocator.getI18nManager();
		this.windowManager = ToolsSwingLocator.getWindowManager();
	}

	public JFortuneCookieServicePanel createFortuneCookie(
			FortuneCookieService cookie) {
		JFortuneCookieServicePanel panel = new DefaultJFortuneCookieServicePanel(
				this, cookie);
		return panel;
	}

	public FortuneCookieManager getManager() {
		return this.manager;
	}

	public String getTranslation(String key) {
		return this.i18nmanager.getTranslation(key);
	}

	public WindowManager getWindowManager() {
		return this.windowManager;
	}
}
